# TARGET = QtJsonSerializer

QT += core core-private

INCLUDEPATH += $$PWD
INCLUDEPATH += $$PWD/../

HEADERS += \
        $$PWD/cborserializer.h \
	$$PWD/cborserializer_p.h \
	$$PWD/exception.h \
	$$PWD/exception_p.h \
	$$PWD/exceptioncontext_p.h \
	$$PWD/jsonserializer.h \
	$$PWD/jsonserializer_p.h \
	$$PWD/metawriters.h \
	$$PWD/metawriters_p.h \
	$$PWD/qtjsonserializer_global.h \
	$$PWD/qtjsonserializer_helpertypes.h \
	$$PWD/serializerbase.h \
	$$PWD/serializerbase_p.h \
	$$PWD/typeconverter.h \
	$$PWD/typeextractors.h

SOURCES += \
        $$PWD/cborserializer.cpp \
	$$PWD/exception.cpp \
	$$PWD/exceptioncontext.cpp \
	$$PWD/jsonserializer.cpp \
	$$PWD/metawriters.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_QByteArray.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_QCborArray.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_QCborMap.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_QCborValue.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_QChar.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_QDate.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_QDateTime.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_QJsonArray.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_QJsonObject.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_QJsonValue.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_QLine.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_QLineF.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_QLocale.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_QMimeType.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_QObject_.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_QPoint.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_QPointF.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_QRect.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_QRectF.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_QRegularExpression.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_QSize.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_QSizeF.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_QString.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_QTime.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_QUrl.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_QUuid.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_QVersionNumber.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_bool.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_char.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_double.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_float.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_hook.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_int.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_long.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_qlonglong.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_qulonglong.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_short.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_signed_char.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_uchar.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_uint.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_ulong.cpp \
    $$PWD/qjsonconverterreg/qjsonconverterreg_ushort.cpp \
	$$PWD/serializerbase.cpp \
	$$PWD/typeconverter.cpp

include(typeconverters/typeconverters.pri)
# DEFINES += NO_REGISTER_JSON_CONVERTERS
# no_register_json_converters: DEFINES += NO_REGISTER_JSON_CONVERTERS
# else: include(qjsonreggen.pri)

# load(qt_module)

# win32 {
# 	QMAKE_TARGET_COMPANY = "Skycoder42"
# 	QMAKE_TARGET_PRODUCT = "QtJsonSerializer"
# 	QMAKE_TARGET_COPYRIGHT = "Felix Barz"
# } else:mac {
# 	QMAKE_TARGET_BUNDLE_PREFIX = "de.skycoder42."
# }

# DISTFILES += \
# 	$$PWD/QtJsonSerializer \
# 	typesplit.pri
